package com.docus.server.sys.common.pojo.dto;

import lombok.Data;

import java.util.Map;

/**
 * @author Fang Ruichuan
 * @date 2022-11-14 19:02
 */
@Data
public class DeptDTO {
    // ---------------------- DeptDTO info ----------------------
    /**
     * 科室代码
     */
    private String deptCode;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 操作人ID
     */
    private String authorId;
    /**
     * 操作人名称
     */
    private String authorName;

    // ---------------------- xml info ----------------------
    /**
     * id-消息流水号  返回消息体需要
     */
    private String messageId;
    /**
     * 操作消息
     */
    private String message;
    /**
     * 接收方
     */
    private String receiver;

    /**
     * 用户操作 operateType有三种值：C 代表新增、U 代表修改、D 代表删除
     */
    private String operateType;

    /**
     * xml原始报文
     */
    private String source;
    /**
     * 拓展参数
     */
    private Map<String, Object> params;

    /**
     * 转换用户修改对象
     *
     * @return 用户修改对象
     */
    public DeptModifyParam transDeptAddParam() {
        DeptModifyParam deptModifyParam = new DeptModifyParam();
        deptModifyParam.setDeptCode(this.deptCode);
        deptModifyParam.setDeptName(this.getDeptName());
        deptModifyParam.setAuthorName(this.authorName);
        deptModifyParam.setAuthorId(this.authorId);
        return deptModifyParam;
    }


}
